# __gnu_cxx::hash_set< _Value, _HashFcn, _EqualKey, _Alloc > Class Template Reference
[STL extensions from SGI]

List of all members.

## Detailed Description

### template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
class __gnu_cxx::hash_set< _Value, _HashFcn, _EqualKey, _Alloc >

This is an SGI extension.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 83 of file ext/hash_set.

## Public Types

- typedef _Ht::allocator_type allocator_type
- typedef _Ht::const_iterator const_iterator
- typedef _Alloc::const_pointer const_pointer
- typedef _Alloc::const_reference const_reference
- typedef _Ht::difference_type difference_type
- typedef _Ht::hasher hasher
- typedef _Ht::const_iterator iterator
- typedef _Ht::key_equal key_equal
- typedef _Ht::key_type key_type
- typedef _Alloc::pointer pointer
- typedef _Alloc::reference reference
- typedef _Ht::size_type size_type
- typedef _Ht::value_type value_type

## Public Member Functions

- iterator begin () const
- size_type bucket_count () const
- void clear ()
- size_type count (const key_type &__key) const
- size_type elems_in_bucket (size_type __n) const
- bool empty () const
- iterator end () const
- pair< iterator, iterator > equal_range (const key_type &__key) const
- void erase (iterator __f, iterator __l)
- void erase (iterator __it)
- size_type erase (const key_type &__key)
- iterator find (const key_type &__key) const
- allocator_type get_allocator () const
- hasher hash_funct () const
- template<class _InputIterator> hash_set (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
- template<class _InputIterator> hash_set (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf)
- template<class _InputIterator> hash_set (_InputIterator __f, _InputIterator __l, size_type __n)
- template<class _InputIterator> hash_set (_InputIterator __f, _InputIterator __l)
- hash_set (size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
- hash_set (size_type __n, const hasher &__hf)
- hash_set (size_type __n)
- hash_set ()
- template<class _InputIterator> void insert (_InputIterator __f, _InputIterator __l)
- pair< iterator, bool > insert (const value_type &__obj)
- pair< iterator, bool > insert_noresize (const value_type &__obj)
- key_equal key_eq () const
- size_type max_bucket_count () const
- size_type max_size () const
- void resize (size_type __hint)
- size_type size () const
- void swap (hash_set &__hs)

## Friends

- template<class _Val, class _HF, class _EqK, class _Al> bool operator== (const hash_set< _Val, _HF, _EqK, _Al > &, const hash_set< _Val, _HF, _EqK, _Al > &)

The documentation for this class was generated from the following file:

- ext/hash_set